<?php

namespace Database\Seeders;

use App\Models\AccountType;
use App\Models\User;
// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // User::factory(10)->create();

        DB::table('types')->insert([
            ['type' => 'Non Vatable'],
            ['type' => 'Vatable'],
        ]);

            AccountType::create([
                'type' => 'Asset',
                'normal_balance' => 'Debit'
            ]);

        AccountType::create([
            'type' => 'Liabilities',
            'normal_balance' => 'Credit'
        ]);

        AccountType::create([
            'type' => 'Equity',
            'normal_balance' => 'Credit'
        ]);

        AccountType::create([
            'type' => 'Expenses',
            'normal_balance' => 'Debit'
        ]);

        AccountType::create([
            'type' => 'Revenue',
            'normal_balance' => 'Credit'
        ]);
    }
}
